Package org.pgpainless.implementation

# Class JceImplementationFactory

java.lang.Object
org.pgpainless.implementation.ImplementationFactory
org.pgpainless.implementation.JceImplementationFactory

public class JceImplementationFactory extends ImplementationFactory

## Constructor Summary

Constructors
Constructor
Description
`JceImplementationFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.bouncycastle.openpgp.operator.KeyFingerPrintCalculator`
`getKeyFingerprintCalculator()`
`org.bouncycastle.openpgp.operator.PBEDataDecryptorFactory`
`getPBEDataDecryptorFactory(Passphrase passphrase)`
`org.bouncycastle.openpgp.operator.PBEKeyEncryptionMethodGenerator`
`getPBEKeyEncryptionMethodGenerator(Passphrase passphrase)`
`org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor`
`getPBESecretKeyDecryptor(Passphrase passphrase)`
`org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor`
`getPBESecretKeyEncryptor(SymmetricKeyAlgorithm symmetricKeyAlgorithm, org.bouncycastle.openpgp.operator.PGPDigestCalculator digestCalculator, Passphrase passphrase)`
`org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor`
`getPBESecretKeyEncryptor(SymmetricKeyAlgorithm encryptionAlgorithm, HashAlgorithm hashAlgorithm, int s2kCount, Passphrase passphrase)`
`org.bouncycastle.openpgp.operator.PGPContentSignerBuilder`
`getPGPContentSignerBuilder(int keyAlgorithm, int hashAlgorithm)`
`org.bouncycastle.openpgp.operator.PGPContentVerifierBuilderProvider`
`getPGPContentVerifierBuilderProvider()`
`org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder`
`getPGPDataEncryptorBuilder(int symmetricKeyAlgorithm)`
`org.bouncycastle.openpgp.operator.PGPDigestCalculatorProvider`
`getPGPDigestCalculatorProvider()`
`org.bouncycastle.openpgp.PGPKeyPair`
`getPGPKeyPair(PublicKeyAlgorithm algorithm, KeyPair keyPair, Date creationDate)`
`org.bouncycastle.openpgp.PGPObjectFactory`
`getPGPObjectFactory(byte[] bytes)`
`org.bouncycastle.openpgp.PGPObjectFactory`
`getPGPObjectFactory(InputStream inputStream)`
`org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory`
`getPublicKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPPrivateKey privateKey)`
`org.bouncycastle.openpgp.operator.PublicKeyKeyEncryptionMethodGenerator`
`getPublicKeyKeyEncryptionMethodGenerator(org.bouncycastle.openpgp.PGPPublicKey key)`
`org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory`
`getSessionKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPSessionKey sessionKey)`

### Methods inherited from class org.pgpainless.implementation.ImplementationFactory

`getInstance, getPGPContentSignerBuilder, getPGPDataEncryptorBuilder, getPGPDigestCalculator, getPGPDigestCalculator, getSessionKeyDataDecryptorFactory, getV4FingerprintCalculator, setFactoryImplementation, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JceImplementationFactory

public JceImplementationFactory()

## Method Details

### getPBESecretKeyEncryptor

public org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor getPBESecretKeyEncryptor(SymmetricKeyAlgorithm symmetricKeyAlgorithm, org.bouncycastle.openpgp.operator.PGPDigestCalculator digestCalculator, Passphrase passphrase)

Specified by:
  `getPBESecretKeyEncryptor` in class `ImplementationFactory`

### getPBESecretKeyDecryptor

public org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor getPBESecretKeyDecryptor(Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Specified by:
  `getPBESecretKeyDecryptor` in class `ImplementationFactory`
Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPDigestCalculatorProvider

public org.bouncycastle.openpgp.operator.PGPDigestCalculatorProvider getPGPDigestCalculatorProvider() throws org.bouncycastle.openpgp.PGPException

Specified by:
  `getPGPDigestCalculatorProvider` in class `ImplementationFactory`
Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPContentVerifierBuilderProvider

public org.bouncycastle.openpgp.operator.PGPContentVerifierBuilderProvider getPGPContentVerifierBuilderProvider()

Specified by:
  `getPGPContentVerifierBuilderProvider` in class `ImplementationFactory`

### getPGPContentSignerBuilder

public org.bouncycastle.openpgp.operator.PGPContentSignerBuilder getPGPContentSignerBuilder(int keyAlgorithm, int hashAlgorithm)

Specified by:
  `getPGPContentSignerBuilder` in class `ImplementationFactory`

### getKeyFingerprintCalculator

public org.bouncycastle.openpgp.operator.KeyFingerPrintCalculator getKeyFingerprintCalculator()

Specified by:
  `getKeyFingerprintCalculator` in class `ImplementationFactory`

### getPBEDataDecryptorFactory

public org.bouncycastle.openpgp.operator.PBEDataDecryptorFactory getPBEDataDecryptorFactory(Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Specified by:
  `getPBEDataDecryptorFactory` in class `ImplementationFactory`
Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPublicKeyDataDecryptorFactory

public org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory getPublicKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPPrivateKey privateKey)

Specified by:
  `getPublicKeyDataDecryptorFactory` in class `ImplementationFactory`

### getSessionKeyDataDecryptorFactory

public org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory getSessionKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPSessionKey sessionKey)

Specified by:
  `getSessionKeyDataDecryptorFactory` in class `ImplementationFactory`

### getPublicKeyKeyEncryptionMethodGenerator

public org.bouncycastle.openpgp.operator.PublicKeyKeyEncryptionMethodGenerator getPublicKeyKeyEncryptionMethodGenerator(org.bouncycastle.openpgp.PGPPublicKey key)

Specified by:
  `getPublicKeyKeyEncryptionMethodGenerator` in class `ImplementationFactory`

### getPBEKeyEncryptionMethodGenerator

public org.bouncycastle.openpgp.operator.PBEKeyEncryptionMethodGenerator getPBEKeyEncryptionMethodGenerator(Passphrase passphrase)

Specified by:
  `getPBEKeyEncryptionMethodGenerator` in class `ImplementationFactory`

### getPGPDataEncryptorBuilder

public org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder getPGPDataEncryptorBuilder(int symmetricKeyAlgorithm)

Specified by:
  `getPGPDataEncryptorBuilder` in class `ImplementationFactory`

### getPGPKeyPair

public org.bouncycastle.openpgp.PGPKeyPair getPGPKeyPair(PublicKeyAlgorithm algorithm, KeyPair keyPair, Date creationDate) throws org.bouncycastle.openpgp.PGPException

Specified by:
  `getPGPKeyPair` in class `ImplementationFactory`
Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPBESecretKeyEncryptor

public org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor getPBESecretKeyEncryptor(SymmetricKeyAlgorithm encryptionAlgorithm, HashAlgorithm hashAlgorithm, int s2kCount, Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Specified by:
  `getPBESecretKeyEncryptor` in class `ImplementationFactory`
Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPObjectFactory

public org.bouncycastle.openpgp.PGPObjectFactory getPGPObjectFactory(InputStream inputStream)

Specified by:
  `getPGPObjectFactory` in class `ImplementationFactory`

### getPGPObjectFactory

public org.bouncycastle.openpgp.PGPObjectFactory getPGPObjectFactory(byte[] bytes)

Specified by:
  `getPGPObjectFactory` in class `ImplementationFactory`